package com.slodon.b2b2c.investment.mapper;

import com.slodon.b2b2c.investment.bean.analysis.bo.CompanyBo;
import com.slodon.b2b2c.investment.bean.analysis.dto.CompanyListDTO;
import com.slodon.b2b2c.investment.bean.analysis.dto.PdfDTO;
import com.slodon.b2b2c.investment.bean.analysis.vo.CompanyEntity;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

@Mapper
public interface BusinessAnalysisMapper {
    int countQueryTimes(CompanyBo bo);

    int updateRecord(PdfDTO dto);

    int insertRecord(CompanyEntity bo);

    List<CompanyEntity> aiList(CompanyListDTO dto, @Param("start") int start,@Param("pageSize")int pageSize);

    int countAiList(CompanyListDTO dto);
}
